View Issue Details

IDProjectCategoryView StatusLast Update
0000218file[All Projects] Generalpublic2021-01-03 20:54
ReporterdgilmanAssigned Tochristos 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.39 
Target VersionFixed in Version5.40 
Summary0000218: Add support for e2fsck undo files
Descriptione2fsck supports writing an undo file. Attached is a patch that adds support to libmagic for these files.
TagsNo tags attached.

Activities

dgilman

2020-12-23 22:19

reporter  

0001-Add-support-for-e2fsck-undo-files.patch (871 bytes)
From d68c57809b63c21db4bbf8b0fd55ebabf13e71ec Mon Sep 17 00:00:00 2001
From: David Gilman <davidgilman1@gmail.com>
Date: Wed, 23 Dec 2020 17:17:33 -0500
Subject: [PATCH] Add support for e2fsck undo files

---
 magic/Magdir/linux | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/magic/Magdir/linux b/magic/Magdir/linux
index 8bf6219f..6fbc423b 100644
--- a/magic/Magdir/linux
+++ b/magic/Magdir/linux
@@ -518,3 +518,15 @@
 0		search/1024	/dts-v1/	Device Tree File (v1)
 # beat c code
 !:strength +14
+
+
+# e2fsck undo file
+# David Gilman <davidgilman1@gmail.com>
+0	string	E2UNDO02	e2fsck undo file, version 2
+>44	lelong	x	\b, undo file is
+>>44	lelong&1	0	not finished
+>>44	lelong&1	1	finished
+>48	lelong	x	\b, undo file features:
+>>48	lelong&1	0	lacks filesystem offset
+>>48	lelong&1	1	has filesystem offset
+>>>64	lequad	x	at 0x%llx
-- 
2.29.2

christos

2021-01-03 20:54

manager   ~0003518

Added, thanks!

Issue History

Date Modified Username Field Change
2020-12-23 22:19 dgilman New Issue
2020-12-23 22:19 dgilman File Added: 0001-Add-support-for-e2fsck-undo-files.patch
2021-01-03 20:53 christos Assigned To => christos
2021-01-03 20:53 christos Status new => assigned
2021-01-03 20:54 christos Status assigned => resolved
2021-01-03 20:54 christos Resolution open => fixed
2021-01-03 20:54 christos Fixed in Version => 5.40
2021-01-03 20:54 christos Note Added: 0003518